SaqSaq Docs

提交申诉

POST
/user/infractions/{id}/defenses

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Infraction ID

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.saq.processamento.com/v1/user/infractions/string/defenses" \  -F defense="string"
{
  "id": "defense_id",
  "defense": "Esta transação foi devidamente autorizada pelo cliente através do app mobile.",
  "status": "PENDING",
  "infractionId": "infraction_123",
  "createdAt": "2024-01-16T14:20:00Z",
  "updatedAt": "2024-01-16T14:20:00Z",
  "files": [
    {
      "name": "evidencia1.pdf",
      "mimeType": "application/pdf",
      "size": 245760,
      "url": "https://storage.googleapis.com/bucket/signed-url-1"
    }
  ]
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "querystring/dateFrom Invalid input: expected string, received undefined",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Resource not found",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 422,
  "error": "Unprocessable Entity",
  "message": "Insufficient balance for this operation",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}